import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g.append('circle')
	.attr('r',  height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 30;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYOffset = -70;

const eyeG = g.append('g')
	.attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyeG.append('circle')
	.attr('r', eyeRadius)
	.attr('cx', -eyeSpacing);

const rightEye = eyeG.append('circle')
	.attr('r', eyeRadius)
	.attr('cx', eyeSpacing);

const eyebrowsG = eyeG.append('g')
		.attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset -50})`)
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG.append('rect')
	.attr('width', eyebrowWidth)
	.attr('height', eyebrowHeight)
	.attr('x', -eyeSpacing-eyebrowWidth/2);

const rightEyebrow = eyebrowsG.append('rect')
	.attr('width', eyebrowWidth)
	.attr('height', eyebrowHeight)
	.attr('x', eyeSpacing-eyebrowWidth/2);

const mouth = g.append('path')
	.attr('d', arc()({
  innerRadius: 0,
  outerRadius: 150,
  startAngle: Math.PI/2,
  endAngle: Math.PI * 3/2
}))
	.attr('transform', 'translate(0, 30)');

